mixin pessoas(pessoas, showCNPJ, showAcoes)

	table.table.table-striped(ng-if=pessoas + ".length > 0")

		thead

			tr

				th(ng-class=showAcoes + " ? 'col-md-6' : 'col-md-7'")
					div(ng-hide=''+ showCNPJ)
						| Nome

					div(ng-show=''+ showCNPJ)
						| Nome / Razão social

				th.col-md-4

					div(ng-hide=''+ showCNPJ)
						| CPF

					div(ng-show=''+ showCNPJ)
						| CPF / CNPJ

				th.col-md-1(ng-if="!" + showAcoes)

					center
						| Ação

		tbody

			tr(ng-repeat=("pessoa in " + pessoas))

				td(ng-if="pessoa.tipo.codigo === constantes.CODIGO_PESSOA_FISICA")
					.text(uib-tooltip="{{pessoa.nome}}", tooltip-placement="top-left")
						span {{pessoa.nome}}

				td(ng-if="pessoa.tipo.codigo == constantes.CODIGO_PESSOA_JURIDICA")
					.text(uib-tooltip="{{pessoa.razaoSocial}}", tooltip-placement="top-left")
						span {{pessoa.razaoSocial}}

				td(ng-if="pessoa.tipo.codigo === constantes.CODIGO_PESSOA_FISICA")
					.text(uib-tooltip="{{pessoa.cpf | cpfCnpj}}", ng-if="pessoa.tipo.codigo === constantes.CODIGO_PESSOA_FISICA", tooltip-placement="top-left")
						span {{pessoa.cpf | cpfCnpj}}

				td(ng-if="pessoa.tipo.codigo == constantes.CODIGO_PESSOA_JURIDICA")
					.text(uib-tooltip="{{pessoa.cnpj | cpfCnpj}}", tooltip-placement="top-left")
						span {{pessoa.cnpj | cpfCnpj}}

				td(ng-if="!" + showAcoes)
					center
						a.cursor-pointer(title='Visualizar', ng-click='visualizarPessoa(pessoa)')
							span.glyphicon.glyphicon-eye-open
